Bug 2268 - New locales for South African languages (*_ZA)
Summary: New locales for South African languages (*_ZA)
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: * Other (show other bugs)
Version: unspecified
Hardware: All All
: high enhancement
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords: l10n
Depends on:
Blocks:
 
Reported: 2005-01-12 01:50 UTC by Dwayne Bailey
Modified: 2011-10-15 16:23 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Adds *_ZA locales to the locale list and XpConfig (11.36 KB, patch)
2005-01-12 02:05 UTC, Dwayne Bailey
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dwayne Bailey 2005-01-12 01:50:53 UTC
9 of the 11 South African locales are not in the x.org server's locale lists.

1.  Afrikaans (af): minor changes
2.  English (en_ZA): no changes
3.  Siswati (ss): added
4.  Sesotho (st): added
5.  Venda (ve): added
6.  Ndebele, Southern (nr): added
7.  Sepedi/Northrn Sotho (nso): added
8.  Tswana (tn): added
9.  Tsongs (ts): added
10. Xhosa (xh): added
11. Zulu (zu): added

Microsoft locales are known to exist for some of these languages.  However, no
dat could be found to validate such entries and they are therefore not included.
Comment 1 Dwayne Bailey 2005-01-12 02:05:31 UTC
Created attachment 1670 [details] [review]
Adds *_ZA locales to the locale list and XpConfig
Comment 2 Roland Mainz 2005-01-13 20:13:56 UTC
ienup:
Is the patch OK for you ?
Comment 3 Ienup Sung 2005-01-18 12:59:36 UTC
Overall, they look okay to me; I presume Sesotho means South Sotho, Tsongs means
Tsonga, Siswati and Swati are the same?

I'm a bit concerned about the lack of 2-letter code for Northern Sotho and the
use of 3-letter language code but I wasn't able to find that it will cause any
problem at X11 or existing X11 applications. 

Another concern is that in some cases, the default codeset is ISO8859-15 (nso
and tn) or UTF-8 (ve) and yet majority of them is ISO8859-1. Were these intended
and the common practice used in South Africa or should the files have all
codeset entries for all languages?
Comment 4 Dwayne Bailey 2005-01-18 22:43:12 UTC
> I presume Sesotho means South Sotho, Tsongs means Tsonga, Siswati 
> and Swati are the same?

Sesotho => Southern Sotho
Tsongs => Tsonga - sorry misspelling on the bug report patch is OK
Siswati => Swati

> I'm a bit concerned about the lack of 2-letter code for Northern Sotho 
> and the use of 3-letter language code but I wasn't able to find that 
> it will cause any problem at X11 or existing X11 applications. 

I have also been unable to validate this.

> Another concern is that in some cases, the default codeset is 
> ISO8859-15 (nso and tn) or UTF-8 (ve) and yet majority of them is 
> ISO8859-1. Were these intended and the common practice used in 
> South Africa or should the files have all codeset entries for all languages?

NSO and TN required at a minimum -15 as they both us 's caron' which is not
present in -1. -15 was chosen as the languages both otherwise use common latin
characters except only for the 's caron' and thus this charset was the closest to -1

VE uses a number of characters 'n dot', 'n tilde' etc. According to
http://www.eki.ee/letter/ these are not in any common character set except
Unicode thus we selected UTF-8.

Therefore for NSO, TN and VE iso-8859-1 will not work. And for VE -15 will not work.
Comment 5 Ienup Sung 2005-01-19 09:54:40 UTC
Thanks very much for your explanation. I don't have any objection and the patch
looks good to me.
Comment 6 Dwayne Bailey 2005-02-09 01:39:05 UTC
Could someone please tell me when this patch is likely to be committed?  I've
got a few that I'm monitoring and I'm trying to get the simple and obvious ones
out of the way and this is one of them.
Comment 7 Daniel Stone 2005-09-30 00:40:08 UTC
committed to HEAD, thanks for the patch


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.